##@ Release

.PHONY: tag-images
tag-images: build-images ## Tag the docker images.
	docker tag dbrepo-analyse-service:latest "${REPOSITORY_1_URL}/analyse-service:${APP_VERSION}"
	docker tag dbrepo-analyse-service:latest "${REPOSITORY_2_URL}/analyse-service:${APP_VERSION}"
	docker tag dbrepo-auth-service:latest "${REPOSITORY_1_URL}/auth-service:${APP_VERSION}"
	docker tag dbrepo-auth-service:latest "${REPOSITORY_2_URL}/auth-service:${APP_VERSION}"
	docker tag dbrepo-metadata-db:latest "${REPOSITORY_1_URL}/metadata-db:${APP_VERSION}"
	docker tag dbrepo-metadata-db:latest "${REPOSITORY_2_URL}/metadata-db:${APP_VERSION}"
	docker tag dbrepo-ui:latest "${REPOSITORY_1_URL}/ui:${APP_VERSION}"
	docker tag dbrepo-ui:latest "${REPOSITORY_2_URL}/ui:${APP_VERSION}"
	docker tag dbrepo-data-service:latest "${REPOSITORY_1_URL}/data-service:${APP_VERSION}"
	docker tag dbrepo-data-service:latest "${REPOSITORY_2_URL}/data-service:${APP_VERSION}"
	docker tag dbrepo-metadata-service:latest "${REPOSITORY_1_URL}/metadata-service:${APP_VERSION}"
	docker tag dbrepo-metadata-service:latest "${REPOSITORY_2_URL}/metadata-service:${APP_VERSION}"
	docker tag dbrepo-search-db:latest "${REPOSITORY_1_URL}/search-db:${APP_VERSION}"
	docker tag dbrepo-search-db:latest "${REPOSITORY_2_URL}/search-db:${APP_VERSION}"
	docker tag dbrepo-data-db-sidecar:latest "${REPOSITORY_1_URL}/data-db-sidecar:${APP_VERSION}"
	docker tag dbrepo-data-db-sidecar:latest "${REPOSITORY_2_URL}/data-db-sidecar:${APP_VERSION}"
	docker tag dbrepo-search-service:latest "${REPOSITORY_1_URL}/search-service:${APP_VERSION}"
	docker tag dbrepo-search-service:latest "${REPOSITORY_2_URL}/search-service:${APP_VERSION}"
	docker tag dbrepo-search-service-init:latest "${REPOSITORY_1_URL}/search-service-init:${APP_VERSION}"
	docker tag dbrepo-search-service-init:latest "${REPOSITORY_2_URL}/search-service-init:${APP_VERSION}"
	docker tag dbrepo-storage-service-init:latest "${REPOSITORY_1_URL}/storage-service-init:${APP_VERSION}"
	docker tag dbrepo-storage-service-init:latest "${REPOSITORY_2_URL}/storage-service-init:${APP_VERSION}"

.PHONY: release-images
release-images: tag-images ## Release the docker images.
	docker push "${REPOSITORY_1_URL}/analyse-service:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/analyse-service:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/auth-service:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/auth-service:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/metadata-db:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/metadata-db:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/ui:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/ui:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/data-service:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/data-service:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/search-db:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/search-db:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/data-db-sidecar:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/data-db-sidecar:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/metadata-service:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/metadata-service:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/search-service:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/search-service:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/search-service-init:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/search-service-init:${APP_VERSION}"
	docker push "${REPOSITORY_1_URL}/storage-service-init:${APP_VERSION}"
	docker push "${REPOSITORY_2_URL}/storage-service-init:${APP_VERSION}"
